%define gcjbootstrap 1
%define javahome /usr/lib/jvm/java-1.5.0
%define qualifier 201106131736
Name:          ecj3
Version:       3.7
Release:       %mkrel 4
Summary:       Eclipse Compiler for Java
Group:         Development/Java
License:       EPL
Url:           http://www.eclipse.org/ 
Source0:       http://mirrors.ibiblio.org/pub/mirrors/eclipse/eclipse/downloads/drops/R-%{version}-%{qualifier}/ecjsrc-%{version}.jar
Source1:       ecj-core-3.7.pom
# Use ECJ for GCJ
# cvs -d:pserver:anonymous@sourceware.org:/cvs/rhug \
# export -r eclipse_r34_1 eclipse-gcj
# tar cjf ecj-gcj.tar.bz2 eclipse-gcj
Source2:       ecj-gcj.tar.bz2
Source3:       jdtcoresrc.tar.gz
# http://mirrors.ibiblio.org/pub/mirrors/eclipse/eclipse/downloads/drops/R-%{version}-%{qualifier}/ecj-%{version}.jar
Source4:       ecj-3.7-OSGi_MANIFEST.tar.gz

Patch0:        ecj-3.7-rpmdebuginfo.patch
Patch1:        ecj-3.7-generatedebuginfo.patch

#%if %gcjbootstrap
#BuildRequires: fastjar
#BuildRequires: gcc-java
#BuildRequires: java-1.5.0-gcj-devel
#%else
BuildRequires: ant
BuildRequires: java-rpmbuild
BuildRequires: java-devel >= 0:1.6.0
#%endif
BuildRequires: unzip

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Eclipse Compiler for Java. 

%prep
%setup -q -c

#%patch0 -p0
#%patch1 -p0

#tar jxf %{SOURCE2}
#cp -pr eclipse-gcj/org/eclipse/jdt/internal/compiler/batch/GCCMain.java org/eclipse/jdt/internal/compiler/batch/
#mkdir -p jdtcoresrc/src/org/eclipse/jdt/internal/compiler/batch/
#mv eclipse-gcj/org/eclipse/jdt/internal/compiler/batch/GCCMain.java jdtcoresrc/src/org/eclipse/jdt/internal/compiler/batch/
#cat eclipse-gcj/gcc.properties >> org/eclipse/jdt/internal/compiler/batch/messages.properties
#rm -rf eclipse-gcj

# JDTCompilerAdapter isn't used by the batch compiler
#rm -f org/eclipse/jdt/core/JDTCompilerAdapter.java

%build

#unset JAVA_HOME
#export JAVA_HOME=%javahome
#%if %gcjbootstrap
#  for f in `find -name '*.java' | cut -c 3- | LC_ALL=C sort`; do
#    gcj -Wno-deprecated -C $f
#  done

#  find -name '*.class' -or -name '*.properties' -or -name '*.rsc' | xargs fastjar cf ecj-%{version}.jar
#%else
#  ORIGCLASSPATH=$CLASSPATH
#  ant -DcompilerArg="-encoding ISO-8859-1 -nowarn" -buildfile jdtcoresrc/compilejdtcorewithjavac.xml
## 2. Use this ecj to rebuild itself
#  export CLASSPATH=`pwd`/jdtcoresrc/ecj.jar:$ORIGCLASSPATH
#  ant -DcompilerArg="-encoding ISO-8859-1 -nowarn" -buildfile jdtcoresrc/compilejdtcore.xml
#%endif

#mkdir temp
#cd temp
#%javahome/bin/jar -xf ../ecj.jar
#rm -rf ../ecj.jar META-INF
#cp -pr  ../org/eclipse/jdt/internal/compiler/batch/messages.properties org/eclipse/jdt/internal/compiler/batch/
##%javahome/bin/jar -cMf ../ecj.jar *
#cd ..
#tar -xf %{SOURCE4}
#touch META-INF/MANIFEST.MF
#touch META-INF/services/javax.tools.JavaCompiler
#zip -u ecj.jar META-INF/MANIFEST.MF META-INF/services/javax.tools.JavaCompiler

export CLASSPATH=
export OPT_JAR_LIST=:
%{ant}

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 ecj.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

pushd %{buildroot}%{_javadir}
  ln -s %{name}-%{version}.jar %{name}.jar
popd

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*



%changelog
* Wed Dec 18 2013 dmorgan <dmorgan> 3.7-4.mga4
+ Revision: 558593
- Remove old rpm demap macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.7-2.mga3
+ Revision: 349310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 29 2011 gil <gil> 3.7-1.mga2
+ Revision: 136025
- edit depmap
- imported package ecj3

